#!/usr/bin/python3
"""
 This script belongs to wirepy and is for the auto start of the tunnel
"""
import logging
from subprocess import CompletedProcess, run
from shared_libs.wp_app_config import AppConfig
from shared_libs.common_tools import ConfigManager, LogConfig

ConfigManager.init(AppConfig.SETTINGS_FILE)
LogConfig.logger(ConfigManager.get("logfile"))
if ConfigManager.get("autostart") != "off":
    process: CompletedProcess[str] = run(
        ["nmcli", "connection", "up", ConfigManager.get("autostart")],
        capture_output=True,
        text=True,
        check=False,
    )
    # Output from start_wg error
    if process.stderr:
        logging.error(process.stderr, exc_info=True)

else:
    pass
